---
title: "Mooc planning template"
author: "Jon Tennant"
date: "11 May 2018"
output: html_document
---

# MOOC planning template

## How to use this template

This is to provide a structured check list to track content development.

- For the 'Delivered' column, a simple Yes/No Scheme should be used.
- For the 'Status' column, please use one of the three symbols below.
- For the 'Deadline' column, please use a traditional dating scheme:  2018/05/10.
- For the 'Comments' column, insert any text as neccessary.


Status traffic light scheme:

Green: All looks good

![Green](https://img.shields.io/badge/Status-text-green.svg)


Orange: Issues that can impact launch date

![Orange](https://img.shields.io/badge/Status-text-orange.svg)


Red: Launch date in danger

![Red](https://img.shields.io/badge/Status-text-red.svg)



|  Design Phase  |  Delivered  |  Status badge  |  Deadline | Comments  |
|  ------------------  |  ------------  | -----------------  |  ------------ | -------------  |
| **Initiate and plan**  |               |            |                 |                    |
|  Kick off             |  Yep  |  ![Green](https://img.shields.io/badge/Status-text-green.svg) |  2018/05/10 | Sprint success! |
|  Define target group      |  Yep  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/05/31 | Sprint success! |
|  Refine learning objectives/outcomes |  Yep  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)   |  2018/05/31 | Sprint success! |
|  Design course outline   |  Yep  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/05/31 | Sprint success! |
|  Design project plan and timeline  |  Yep |  ![Green](https://img.shields.io/badge/Status-text-green.svg)   |  2018/06/31 | Seems to have been largely successful |
|  Identify promotion channels |  Yep |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/06/31 | Comms strategy has been used widely |
| **Design and scripting**  |          |             |                 |                    |
|  Identify key resources |   Yep  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/06/31  | Sprint success! |
|  Design learner activities   | Yep   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/06/31  | 3/3 completed |
|  Find existing key resources  |  Yep   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/06/31 | Sprint success! |
|  Write audio/video scripts   |  In prep  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/08/31  | 6/6 completed |
|  Review all learning resources  |  Yes   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/11/31 | Continuous process |
|  Finalise all scripts   |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/11/31  | Worked like a charm |
|  Copyright strategy  |   Yep  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/08/31 | Done, vids all released without issue |
| **Recording and editing**  |                   |           |                 |                    |
|  Record on location/in studio  |  Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2019/01/22  | Slight delay, but all good |
|  Edit all audio/visual material  |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2019/01/22  | OpenShot video editor works fine, or WeVideo |
| **Internal reviewing**  |                   |           |                 |                    |
|  Cross-check and review content  | In prep  | ![Green](https://img.shields.io/badge/Status-text-green.svg)   |  2018/08/31 | Continuous process |
|  Checks from Steering Committee  | In prep |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/08/31 | Continuous process |
| **External testing and review**  |         |           |           |                    |
|  All reviewing conducted via GitHub  |  In prep   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/08/31 | Continuous process |
|  Existing channels from communications strategy  |  Yes   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2019/01/23  | Seems to be going well at time of writing |
| **Internal reviewing and finalisation**  |           |           |                 |              |
|  Cross-review and check content  |  In prep   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |   | |
|  Final checks from Steering Committee  |   In prep  | ![Green](https://img.shields.io/badge/Status-text-green.svg)   |   | |
| **Implementation**  |           |           |                 |              |
|  Agreement on platform  |  In prep   | ![Green](https://img.shields.io/badge/Status-text-green.svg)   | 2018/08/31  | |
|  Module logo designed  |  Yep   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/08/31 | |
|  Module description and introduction  |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/07/31 |  |
|  Team member and guest lecturer agreements  |  Yes   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |  2018/07/31 |  |
|  Team member and guest lecturer profiles  |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/07/31  |  |
|  Course readings acquired  |  Yes   |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/07/31  |  |
|  Port content to selected platform  |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | Jan 2019  | Eliademy seems 100% suitable for this project |
|  All content deposited in Zenodo |  Yep   | ![Green](https://img.shields.io/badge/Status-text-green.svg)   |  2018/08/31 | Second release completed |
| **Promotion**  |           |           |                 |              |
|  Content and communication calendar/strategy/timeline  |   Yes  | ![Green](https://img.shields.io/badge/Status-text-green.svg)   |  Jan 2019 | Continuous processes |
|  Identify relevant channels (mailing lists, social media and hashtags, organisations, individuals, websites, conferences)  |  Yes  | ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/07/31  | |
|  Images for use in social media  |  Yep   | ![Green](https://img.shields.io/badge/Status-text-green.svg)   |  2018/07/31 | |
|  Course title marketing check |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | 2018/07/31  | |
| **Launch**  |           |           |                 |              |
|  Publicity start  |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  | Dec 2018  | |
|  Open and free for all, continuous, self-paced learning, 100% online  |  Yes   | ![Green](https://img.shields.io/badge/Status-text-green.svg)   | Dec 2018  | Continuous, self-paced |
|  Soft launch  |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |   | Dec 2018 |
|  Course launch  |   Yes  |  ![Green](https://img.shields.io/badge/Status-text-green.svg)  |   | |
|  Monitoring of learner experiences and reactions  | In progress    |    |   | Jan 2019 |
|  Prepare to provide additional information if required  |  Pending   |    |   | |
| **Reviewing and optimisation**  |           |           |                 |              |
| Collate and review learner feedback at regular intervals  | In prep    |    |   | |
| Track any new information during course duration  | In prep    |    |   | |
| Prepare evaluation report  |  Pending   |    |   | |
| Evaluation meeting  |  Pending   |    |   | |
| Optimise content where relevant   |   Pending  |    |   | |
