# Module 5: Quizzes and assignments

1. First draft for feedback to instructional design
2. Follow up feedback
3. Define regularity of quizzes
4. Final examination
5. Review assignments  
6. Other assignments (e.g., discussion prompts)

## Questions

#### Contrary to proprietary software, Open Source means that anybody can change a OS project, just like on Wikipedia...  that's just plain dangerous. True or false?

- [ ] True
- [X] False

**Answer:** This is a common misunderstanding. Wikipedia is a great way to understand collaborative innovation, but it's not a great euphemism for open source software. First, most open source projects are managed by "benevolent dictators" who have total control over what goes into their project. Contributors offer changes to these maintainers, and after some careful review they'll permit the change to be made. Second, open source software must perform the task it was designed to do. If it doesn't, the community discovers that pretty quickly. The Wikipedia community also has gatekeepers (what's their name again? see https://en.wikipedia.org/wiki/Wikipedia:Quality_control and https://en.wikipedia.org/wiki/Wikipedia:Editorial_oversight_and_control, remember Wikipedia is also open source) and quality assessment ppl who make sure Wikipedia entries are of high and growing quality. Different communities have different approaches of building content.
It's important to understand the social and political aspect of open source projects. Open source contributors trade on their reputations. If you submit a bunch of good ideas, your stock goes up in the project's community. That's your reward: you solved your problem, and you get accolades from your friends in the community. Likewise, the maintainers don't want to be associated with bad software that's buggy or not useful to anyone. So because people want problems solved, and want to be respected by their peers, open source projects police their changes very carefully. (Source: [opensource.com](https://opensource.com/open-source-myths))

---

#### Open Source can't be secure if anybody can openly find flaws and use them for exploits. True or false?

- [ ] True
- [X] False

**Answer:** It's actually the other way around: open source is secure because anyone can find the flaws. If you ask security experts like Bruce Schneier, the (which country?) National Security Agency, or any locksmith, they'll tell you that keeping your inner workings a secret is a great way to guarantee a security problem. The reason is simple: one developer isn't as smart as all the developers. As Linux creator Linus Torvalds once said, "A thousand eyes make all bugs shallow." In other words, open source subjects you to the collective scrutiny of the community -- since they have as much to lose from your security problems as you do. Everyone works together to make things more secure. (Source: [opensource.com](https://opensource.com/open-source-myths))

---

#### Open Source is licensed by default (?). True or false?
I feel the question can be a bit misleading. Rather ask: Anyone can use Open Source code and content without mentioning the original copyright holders / copyright doies not apply.

- [X] True
- [ ] False

**Answer:** True. Open source licenses are essentially terms of use and not items to be purchased, as can be the case for proprietary software. There are a variety of open source licence models, where each licence model has specific terms for the use and modification of code.  

An open source vendor can charge you for a software licence and still be open source. There is not necessarily a direct relationship between a type of license and what you have to pay to obtain it. The ‘free’ part means that you have the freedom to access the source code and change it yourself providing you abide by the terms of the license.

---

#### Open source has to be free of charge.

- [ ] True
- [X] False

**Answer:** False. The term 'free' in free open source software refers to freedom, not monetary cost. Or, as Richard Stallmann labeled it "Think free as in free speech, not free beer." Read more on the subject, and the distinction between Free Open Source Software (FOSS) and Free & Libre Open Source Software (FLOSS) at ([gnu.org](https://www.gnu.org/philosophy/floss-and-foss.en.html))

---

#### Big software companies don’t use Open Source - true or false?

- [ ] True
- [X] False

**Answer:** This myth should be a thing of the past. Corporate use of open source is pervasive: A 2018 study shows that on average, respondents across companies of all sizes used open source software in 92% of their applications. See [tidelift.com](https://blog.tidelift.com/open-source-is-everywhere-survey-results-part-1) and [opensourcesurvey.org.](https://opensourcesurvey.org/2017/) for more details.

---

#### Who founded the Free Software Foundation?

- [ ] Lawrence Lessig
- [X] Richard Stallman
- [ ] Bill Gates
- [ ] Linus Torvalds

**Answer:** The Free Software Foundation (FSF) was founded by **Richard Stallman** on 4 October 1985 to support the free software movement, which promotes the universal freedom to study, distribute, create, and modify computer software, with the organization's preference for software being distributed under copyleft ("share alike") terms, such as with its own GNU General Public License. *Source:* [Wikipedia](https://en.wikipedia.org/wiki/Free_Software_Foundation)

---

#### Which of the following is a free software license?

- [X] GPL
- [ ] OSD
- [ ] OSL
- [ ] GPS

**Answer:** The GNU General Public License (GNU GPL or GPL) is a widely used free software license, which guarantees end users the freedom to run, study, share and modify the software. *Source:* [Wikipedia](https://en.wikipedia.org/wiki/GNU_General_Public_License)

---

#### This type of software is distributed with a single restriction: any redistributed version of the software must be distributed with the original terms of free use, modification, and distribution. What is it?

- [ ] libre software
- [ ] shareware
- [X] free software
- [ ] adware

**Answer:** Free software is software that can be freely used, modified, and redistributed with only one restriction: any redistributed version of the software must be distributed with the original terms of free use, modification, and distribution (known as copyleft). The definition of free software is stipulated as part of the GNU Project and by the Free Software Foundation. Free software may be packaged and distributed for a fee; the "free" refers to the ability to reuse it, modified or unmodified, as part of another software package. As part of the ability to modify, users of free software may also have access to and study the source code.

The concept of free software is the brainchild of Richard Stallman, head of the GNU Project. The best known example of free software is Linux, an operating system that is proposed as an alternative to Windows or other proprietary operating systems. Debian is an example of a distributor of a Linux package.

---

#### What does forking entail?

- [ ] Forking occurs when an open source program is further developed publically by the community.
- [ ] Forking is the act of stabbing your overcooked chicken until it sticks to your eating utensil.
- [ ] Forking is when a proprietary source hardware design is used as a basis to create something different.
- [X] Forking is when open source software is developed into something different.

**Answer:** Forking, also known as software forking, is the act of taking source code from open source software or program and further developing it into something different without changing the base offering. For example, Amazon's Fire OS is a forked version of Google's Android OS. Data center administrators may fork an open source software tool to tailor it to their particular requirements, without needing to share those changes back to the entire community.

---

#### OSI stands for?

- [ ] Open Source Index
- [ ] Open Source Image
- [X] Open Source Initiative
- [ ] Open Source Instant

**Answer:** The **Open Source Initiative (OSI)** has been celebrating its 20th Anniversary in 2018. The “open source” label was created at a strategy session held on February 3rd, 1998 in Palo Alto, California. That same month, the OSI was founded. As a global non-profit, the OSI protects and promotes open source software, development and communities, championing software freedom in society through education, collaboration, and infrastructure, stewarding the Open Source Definition (OSD), and preventing abuse of the ideals and ethos inherent to the open source movement. *Source:* [opensource.org](https://opensource.org/)

---


### ... and now for something completely different


![...and now for something completely different](https://ichef.bbci.co.uk/images/ic/640x360/p01gk35d.jpg)


---

#### Open Science is primarily occupied with liberating the (Natural) Sciences (e.g. Mathematics, Physics, Biology, etc.), true or false?

- [ ] True
- [X] False

**Answer:** No, Open Science tries to encompass all scientific activity. For a broader outline of what we at OpenScienceMOOC think Open Science should be, see our first Module on Open Principles [LINK]

---

#### Open access articles are not peer reviewed, true or false?

- [ ] True
- [X] False

**Answer:** Yup, that's a misconception. Open access articles undergo the same rigorous peer review as articles published via the traditional subscription-based publishing model.

---

#### Unrestricted use, distribution and reproduction of open access articles licensed under CC-BY is permitted only when you:

- [ ] ... have asked the author(s)
- [X] ... have attributed the author(s)
- [ ] ... are also publishing open access
- [ ] ... you do not need to do anything

**Answer:** The author(s) must be properly attributed if you wish to use, distribute or reproduce their article.

---

#### Open access and open peer review are the same thing, true or false?

- [ ] True
- [X] False

**Answer:** Open access journals may use any of the different peer review models, including single-blind, double-blind, open or post-publication peer review.

[Link to further info on open peer review]

---

#### You can download an open access article and make copies to distribute to your friends, true or false?

- [X] True
- [ ] False

**Answer:** That’s right! Open access articles can be downloaded, printed and distributed to all your friends.

### 6. Publishing in open access journals makes it easier to disseminate your research via social media, true or false?

- [X] True
- [ ] False

**Answer:** When you share open access articles on social media everyone is able to see your work making your research more visible to your community. You can read more on the evidence for this here [LINK TO SOURCE OF CHOICE].

---

#### Journals can have both open access and subscription only content, true or false?

- [X] True
- [ ] False

**Answer:** True! Subscription journals which offer authors an open access option for their individual articles are known as ‘hybrid’ journals.

---

### Funding organizations don’t approve of open access journals, true or false?

- [ ] True
- [X] False

**Answer:** Many funding organizations now mandate that the work they fund is published under the open access model so that the research is available to a wide audience and cover the costs of publishing in their grants. [EXPAND w. details on Plan S specifics]

---

### You can find out about the open access policies of funders at which website?

- [ ] SHERPA/ROMEO
- [ ] SHERPA/FACT
- [X] SHERPA/JULIET

**Answer:** It's SHERPA/JULIET - funded by Jisc and RLUK, this database provides information on research funders’ open access policies. It is available to view at their [website](http://www.sherpa.ac.uk/juliet/).

---
